Package com.ocient.jdbc.proto

## Enum ClientWireProtocol.Request.RequestOneofCase

- java.lang.Object
- - java.lang.Enum<ClientWireProtocol.Request.RequestOneofCase>
  - - com.ocient.jdbc.proto.ClientWireProtocol.Request.RequestOneofCase

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `Serializable`, `Comparable<ClientWireProtocol.Request.RequestOneofCase>`

Enclosing class:
  ClientWireProtocol.Request

    public static enum ClientWireProtocol.Request.RequestOneofCase
    extends Enum<ClientWireProtocol.Request.RequestOneofCase>
    implements com.google.protobuf.Internal.EnumLite

### Enum Constant Summary

Enum Constants
`CANCEL_QUERY`
`CLIENT_CONNECTION`
`CLIENT_CONNECTION2`
`CLOSE_CONNECTION`
`CLOSE_RESULT_SET`
`EXECUTE_EXPLAIN`
`EXECUTE_EXPLAIN_FOR_SPARK`
`EXECUTE_EXPORT`
`EXECUTE_INLINE_PLAN`
`EXECUTE_PLAN`
`EXECUTE_QUERY`
`EXECUTE_UPDATE`
`EXPLAIN_PLAN`
`FETCH_DATA`
`FETCH_METADATA`
`FETCH_SYSTEM_METADATA`
`FORCE_EXTERNAL`
`GET_SCHEMA`
`KILL_QUERY`
`LIST_PLAN`
`LOAD_BROADCAST`
`LOCAL_QUERIES`
`REQUESTONEOF_NOT_SET`
`SET_PSO`
`SET_SCHEMA`
`SYSTEM_WIDE_QUERIES`
`TEST_CONNECTION`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static ClientWireProtocol.Request.RequestOneofCase` `forNumber​(int value)`
`int` `getNumber()`
`static ClientWireProtocol.Request.RequestOneofCase` `valueOf​(int value)` Deprecated.
`static ClientWireProtocol.Request.RequestOneofCase` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ClientWireProtocol.Request.RequestOneofCase[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CLIENT_CONNECTION

    public static final ClientWireProtocol.Request.RequestOneofCase CLIENT_CONNECTION

#### CLIENT_CONNECTION2

    public static final ClientWireProtocol.Request.RequestOneofCase CLIENT_CONNECTION2

#### GET_SCHEMA

    public static final ClientWireProtocol.Request.RequestOneofCase GET_SCHEMA

#### CLOSE_CONNECTION

    public static final ClientWireProtocol.Request.RequestOneofCase CLOSE_CONNECTION

#### SET_SCHEMA

    public static final ClientWireProtocol.Request.RequestOneofCase SET_SCHEMA

#### TEST_CONNECTION

    public static final ClientWireProtocol.Request.RequestOneofCase TEST_CONNECTION

#### FETCH_DATA

    public static final ClientWireProtocol.Request.RequestOneofCase FETCH_DATA

#### FETCH_METADATA

    public static final ClientWireProtocol.Request.RequestOneofCase FETCH_METADATA

#### CLOSE_RESULT_SET

    public static final ClientWireProtocol.Request.RequestOneofCase CLOSE_RESULT_SET

#### EXECUTE_QUERY

    public static final ClientWireProtocol.Request.RequestOneofCase EXECUTE_QUERY

#### EXECUTE_EXPLAIN

    public static final ClientWireProtocol.Request.RequestOneofCase EXECUTE_EXPLAIN

#### EXECUTE_EXPLAIN_FOR_SPARK

    public static final ClientWireProtocol.Request.RequestOneofCase EXECUTE_EXPLAIN_FOR_SPARK

#### EXECUTE_UPDATE

    public static final ClientWireProtocol.Request.RequestOneofCase EXECUTE_UPDATE

#### LOAD_BROADCAST

    public static final ClientWireProtocol.Request.RequestOneofCase LOAD_BROADCAST

#### FETCH_SYSTEM_METADATA

    public static final ClientWireProtocol.Request.RequestOneofCase FETCH_SYSTEM_METADATA

#### CANCEL_QUERY

    public static final ClientWireProtocol.Request.RequestOneofCase CANCEL_QUERY

#### SYSTEM_WIDE_QUERIES

    public static final ClientWireProtocol.Request.RequestOneofCase SYSTEM_WIDE_QUERIES

#### LOCAL_QUERIES

    public static final ClientWireProtocol.Request.RequestOneofCase LOCAL_QUERIES

#### EXECUTE_PLAN

    public static final ClientWireProtocol.Request.RequestOneofCase EXECUTE_PLAN

#### EXPLAIN_PLAN

    public static final ClientWireProtocol.Request.RequestOneofCase EXPLAIN_PLAN

#### LIST_PLAN

    public static final ClientWireProtocol.Request.RequestOneofCase LIST_PLAN

#### KILL_QUERY

    public static final ClientWireProtocol.Request.RequestOneofCase KILL_QUERY

#### EXECUTE_INLINE_PLAN

    public static final ClientWireProtocol.Request.RequestOneofCase EXECUTE_INLINE_PLAN

#### FORCE_EXTERNAL

    public static final ClientWireProtocol.Request.RequestOneofCase FORCE_EXTERNAL

#### EXECUTE_EXPORT

    public static final ClientWireProtocol.Request.RequestOneofCase EXECUTE_EXPORT

#### SET_PSO

    public static final ClientWireProtocol.Request.RequestOneofCase SET_PSO

#### REQUESTONEOF_NOT_SET

    public static final ClientWireProtocol.Request.RequestOneofCase REQUESTONEOF_NOT_SET

### Method Detail

#### values

    public static ClientWireProtocol.Request.RequestOneofCase[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ClientWireProtocol.Request.RequestOneofCase c : ClientWireProtocol.Request.RequestOneofCase.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ClientWireProtocol.Request.RequestOneofCase valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### valueOf

    @Deprecated
    public static ClientWireProtocol.Request.RequestOneofCase valueOf​(int value)

Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### forNumber

    public static ClientWireProtocol.Request.RequestOneofCase forNumber​(int value)

#### getNumber

    public int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`